<?php
namespace Concrete\Package\Rmtawkto\Block\Rmtawkto;
defined('C5_EXECUTE') or die('Access Denied.');
use Concrete\Core\Asset\AssetList;
use Concrete\Core\Block\BlockController;
use Concrete\Core\Config\Repository\Liaison;
use Concrete\Core\Localization\Localization;
use Concrete\Core\Package\PackageService;

class Controller extends BlockController
{
    protected $btTable = 'btRmtawkto';
    protected $btCacheBlockOutput = true;
    protected $btCacheBlockOutputOnPost = true;
    protected $btDefaultSet = 'Social';
    protected $btInterfaceWidth = '600';
    protected $btInterfaceHeight = '480';
 // Block Record
    /** @var string */
    protected $location;
    /** @var float */
        /**
     * Returns the name of the block type.
     *
     * @return string $btName
     */
    public function getBlockTypeName()
    {
        return t('RM Tawkto');
    }
  /**
     * Returns the description of the block type.
     *
     * @return string
     */
    public function getBlockTypeDescription()
    {
        return t('Embed RM tawkto Chat.');
    }
}