<?php defined('C5_EXECUTE') or die('Access Denied.');
/**
 * @var string $lang
 * @var string $location
 */
$c = \Concrete\Core\Page\Page::getCurrentPage();
if ($c->isEditMode()) {
    $loc = \Concrete\Core\Localization\Localization::getInstance();
    $loc->pushActiveContext(\Concrete\Core\Localization\Localization::CONTEXT_UI);
    ?>
    <div class="rmblock-container ccm-edit-mode-disabled-item">
        <div style="padding: 15px 0px 15px 0px"><?= t('RM Tawkto Live Chat widget disabled in edit mode.') ?></div>
    </div>
    <?php
    $loc->popActiveContext();
	} else {?>
<script type="text/javascript" defer>
    if(!CCM_EDIT_MODE){
        var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();
        (function(){
            var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
            s1.async=true;
            s1.src='https://embed.tawk.to/<?= h($location) ?>';
            s1.charset='UTF-8';
            s1.setAttribute('crossorigin','*');
            s0.parentNode.insertBefore(s1,s0);
        })();
    }
</script>
 <?php
}